Package: java.sql

## [Java] Class Date

- java.sql.Date

-     public class Date
      extends Object

  GDK enhancements for Date.

  displayName:
    Date
  receiverFqcn:
    java.sql.Date

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Date` | `clearTime()` Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.
    `` | `public Date` | `minus(int days)` Subtract a number of days from this date and returns the new date.
    `` | `public Date` | `next()` Increment a java.sql.Date by one day.
    `` | `public Date` | `plus(int days)` Add a number of days to this date and returns the new date.
    `` | `public Date` | `previous()` Decrement a java.sql.Date by one day.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Date clearTime()

      Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.

      Returns:
        the java.sql.Date but with the time portion cleared
      Since:
        1.6.7

    - #### public Date minus(int days)

      Subtract a number of days from this date and returns the new date.

      Parameters:
        `days` - the number of days to subtract
      Returns:
        the new date
      Since:
        1.0

    - #### public Date next()

      Increment a java.sql.Date by one day.

      Returns:
        the next days date
      Since:
        1.0

    - #### public Date plus(int days)

      Add a number of days to this date and returns the new date.

      Parameters:
        `days` - the number of days to increase
      Returns:
        the new date
      Since:
        1.0

    - #### public Date previous()

      Decrement a java.sql.Date by one day.

      Returns:
        the previous days date
      Since:
        1.0